import { html as p } from "lit";
import { property as l } from "lit/decorators.js";
import { PieIconComponent as h } from "./PieIconComponent.js";
import { safeCustomElement as f } from "@justeattakeaway/pie-webc-core";
var v = Object.defineProperty, m = Object.getOwnPropertyDescriptor, c = (i, t, o, r) => {
  for (var e = r > 1 ? void 0 : r ? m(t, o) : t, a = i.length - 1, n; a >= 0; a--)
    (n = i[a]) && (e = (r ? n(t, o, e) : n(e)) || e);
  return r && e && v(t, o, e), e;
};
let s = class extends h {
  constructor() {
    super(...arguments), this.size = "xs", this.defaultClasses = "c-pieIcon c-pieIcon--calendarDay", this.class = "c-pieIcon c-pieIcon--calendarDay", this.name = "IconCalendarDay";
  }
  render() {
    return p`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 16 16" class="c-pieIcon c-pieIcon--calendarDay"><path d="M11.281 2.969V1.875H9.97v1.094H6.03V1.875H4.72v1.094H2.094v10.937h8.531a3.282 3.282 0 0 0 3.281-3.281V2.969h-2.625Zm1.313 7.656a1.969 1.969 0 0 1-1.969 1.969H3.406V4.28H4.72v1.094H6.03V4.281H9.97v1.094h1.312V4.281h1.313v6.344ZM8.219 7.344h2.187V9.53H8.22V7.344Z"></path></svg>`;
  }
};
c([
  l({ type: String, reflect: !0 })
], s.prototype, "size", 2);
c([
  l({ type: String, reflect: !0 })
], s.prototype, "class", 2);
s = c([
  f("icon-calendar-day")
], s);
export {
  s as IconCalendarDay
};
